import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { Transport, MicroserviceOptions } from '@nestjs/microservices';
async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(
    AppModule,
    {
      transport: Transport.KAFKA,
      options: {

        client: {
          clientId: 'test-consumer',
          brokers: ['localhost:9092'],
        },
        consumer: {
          groupId: 'detty',
        },
      },
    },
  );
  await app.listen();
}
bootstrap();
